Move image to Airflow DockerHub Repository

Part of https://github.com/apache/airflow/issues/9401
diff --git a/Dockerfile b/Dockerfile
index bc12848..46d26a0 100644
--- a/Dockerfile
+++ b/Dockerfile
@@ -1,10 +1,42 @@
-FROM alpine:3.12.0
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
 
-ENV HELM_VERSION="v3.1.2"
+ARG ALPINE_VERSION="3.12"
+
+FROM alpine:${ALPINE_VERSION}
+
+ARG HELM_VERSION
+ARG HELMUNITTEST_VERSION
+ARG AIRFLOW_HELMUNITTEST_VERSION
+ARG COMMIT_SHA
+
+LABEL org.apache.airflow.component="helm-unittest"
+LABEL org.apache.airflow.airflow_helm_unittest.version="${AIRFLOW_HELMUNITTEST_VERSION}"
+LABEL org.apache.airflow.helm_unittest.version="${HELMUNITTEST_VERSION}"
+LABEL org.apache.airflow.helm.version="${HELM_VERSION}"
+LABEL org.apache.airflow.commit_sha="${COMMIT_SHA}"
+
+COPY plugin.yaml install-binary.sh unittest go.mod main.go /
+
 
 RUN apk add --no-cache ca-certificates bash git openssh curl \
-    && wget -q https://get.helm.sh/helm-${HELM_VERSION}-linux-amd64.tar.gz -O - | tar -xzO linux-amd64/helm > /usr/local/bin/helm \
+    && wget -q https://get.helm.sh/helm-${HELM_VERSION}-linux-amd64.tar.gz -O - \
+        | tar -xzO linux-amd64/helm > /usr/local/bin/helm \
     && chmod +x /usr/local/bin/helm \
-    && helm plugin install https://github.com/aneesh-joseph/helm-unittest
+    && helm plugin install .
 
 CMD bash
diff --git a/build_and_push.sh b/build_and_push.sh
new file mode 100755
index 0000000..aa91198
--- /dev/null
+++ b/build_and_push.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+set -euo pipefail
+DOCKERHUB_USER=${DOCKERHUB_USER:="apache"}
+DOCKERHUB_REPO=${DOCKERHUB_REPO:="airflow"}
+HELM_VERSION="v3.1.2"
+HELMUNITTEST_VERSION="v0.2.0"
+AIRFLOW_HELMUNITTEST_VERSION="2020.07.10"
+COMMIT_SHA=$(git rev-parse HEAD)
+
+cd "$( dirname "${BASH_SOURCE[0]}" )" || exit 1
+
+TAG="${DOCKERHUB_USER}/${DOCKERHUB_REPO}:helm-unittest-${AIRFLOW_HELMUNITTEST_VERSION}-${HELMUNITTEST_VERSION}-${HELM_VERSION}"
+
+docker build . \
+    --pull \
+    --build-arg "HELM_VERSION=${HELM_VERSION}" \
+    --build-arg "HELMUNITTEST_VERSION=${HELMUNITTEST_VERSION}" \
+    --build-arg "AIRFLOW_HELMUNITTEST_VERSION=${AIRFLOW_HELMUNITTEST_VERSION}" \
+    --build-arg "COMMIT_SHA=${COMMIT_SHA}" \
+    --tag "${TAG}"
+
+docker push "${TAG}"